<?php
session_start();
require("../../database/dbConection.php");

$UsuarioLogado = $_SESSION['idUsuarioLogado'];

$numeroCNS        = str_replace(" ","",$_POST['numeroCNS']);
$numeroCPF        = str_replace(".","",$_POST['numeroCPF']);
$numeroCPF        = str_replace("-","",$numeroCPF);
$opcaoDocumento   = $numeroCPF!="" ? "cpf" : "cns";
$numeroDocumento  = $numeroCPF!="" ? $numeroCPF : $numeroCNS;
  
  $options = array(
    "http"=>array(
        "header"=>"User-Agent: Mozilla/5.0 (iPad; U; CPU OS 3_2 like Mac OS X; en-us) AppleWebKit/531.21.10 (KHTML, like Gecko) Version/4.0.4 Mobile/7B334b Safari/531.21.102011-10-16 20:23:10\r\n" // i.e. An iPad
    )
  );

  $context = stream_context_create($options);
  $json_file = file_get_contents("https://cns.essencialws.app.br/v1/crv_cnsws.php?op=$opcaoDocumento&codbusca=$numeroDocumento", false, $context);
  
  if($json_file!='{"array_cns":[{"Paciente n&atilde;o encontrato."}]}' && $json_file!='{"array_cns":[{"Paciente não encontrato."}]}'){
    $json_str = json_decode($json_file, true);
    $itensCNS = $json_str['array_cns']; 
    if ($itensCNS[0]['numero_cns'] != ""){     
          
      /* ATRIBUIÇÃO DE VALORES DE VARIÁVEIS PARA O CADASTRO */    
      $cnsPaciente    = $itensCNS[0]['numero_cns'];
      $cpfPaciente    = $itensCNS[3]['numero_cpf'];
      $nomePaciente   = str_replace("'", "`", $itensCNS[1]['nome_usuario']);
      $dataNascimento = $itensCNS[2]['data_nascimento'];
      $sexoPaciente   = $itensCNS[5]['sexo_usuario']=="F" ? "FEMININO" : "MASCULINO";
      $nomeMae        = $itensCNS[4]['nome_mae'];
      $nomePai        = $itensCNS[16]['nome_pai'];
      $racaCor        = $itensCNS[6]['raca_cor'];
      $cepPaciente    = $itensCNS[10]['numero_cep'];
      $nomeMunicipio  = $itensCNS[14]['nome_municipio'];

      if ($itensCNS[7]['tipo_logradouro'] == "999" || $itensCNS[7]['tipo_logradouro'] == "" || $itensCNS[7]['tipo_logradouro'] == "99"){
        $codLogradouro = '081';
      }else{
        $codLogradouro = $itensCNS[7]['tipo_logradouro'];
      }

      $enderecoPaciente       = str_replace("'", "`", $itensCNS[8]['nome_logradouro']);
      $numeroEnderecoPaciente = str_replace("'", "`", $itensCNS[9]['numero_residencia']);
      $nomeBairro             = str_replace("'", "`", $itensCNS[11]['nome_bairro']);
      $codigoEstado           = $itensCNS[15]['sigla_uf'];
      $codigoCidade           = $itensCNS[13]['codigo_municipio'];
      $numeroTelefone         = $itensCNS[12]['telefone'];
      $origemRegistro         = "DATASUS";


      $arrayDadosPaciente = array(
        'jsonNomePaciente'      => $nomePaciente,
        'jsonDataNascimento'    => $dataNascimento,
        'jsonSexoPaciente'      => $sexoPaciente,
        'jsonNomeMae'           => $nomeMae,
        'jsonCEPPaciente'       => $cepPaciente,
        'jsonEnderecoPaciente'  => $enderecoPaciente,
        'jsonNumeroEndereco'    => $numeroEnderecoPaciente,
        'jsonBairroPaciente'    => $nomeBairro,
        'jsonNomeMunicipio'     => $nomeMunicipio,
        'jsonIBGEMunicipio'     => $codigoCidade,
        'jsonCPFPaciente'       => $cpfPaciente,
        'jsonCNSPaciente'       => $cnsPaciente
      );
      echo json_encode($arrayDadosPaciente);

      
  }
      
}


?>
